Bug 866193 - RFE: add a nova.conf option to ignore hyper-threads when calculating no. of pCPUs available on nodes
RFE: add a nova.conf option to ignore hyper-threads when calculating no. of p...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
unspecified Severity medium
: beta
: 3.0
Assigned To: RHOS Maint
Yaniv Kaul
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 11:45 EDT by Yaniv Kaul
Modified: 2013-07-03 22:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 12:11:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-10-14 11:45:27 EDT
Description of problem:
Sometimes, it's better to ignore HT cores, for performance reasons. 
Currently even with cpu_allocation_ratio set correctly, a node with 2 cores per sockets and 2 threads per core will be reported with 4pCPUs where some would prefer to ignore the HT count.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:[ykaul@ykaul ~]$ lscpu 
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                4
On-line CPU(s) list:   0-3
Thread(s) per core:    2
Core(s) per socket:    2
Socket(s):             1
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 42
Stepping:              7
CPU MHz:               2801.000
BogoMIPS:              5581.43
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              256K
L3 cache:              4096K
NUMA node0 CPU(s):     0-3


2012-10-14 17:39:31 INFO nova.compute.resource_tracker [-] Compute_service record updated for ykaul.tlv.redhat.com 
2012-10-14 17:40:32 AUDIT nova.compute.resource_tracker [-] Free ram (MB): 7358
2012-10-14 17:40:32 AUDIT nova.compute.resource_tracker [-] Free disk (GB): 49
2012-10-14 17:40:32 AUDIT nova.compute.resource_tracker [-] Free VCPUS: 4
Comment 4 Dave Allan 2013-04-30 12:11:02 EDT
There's not enough data here to make a case for upstream inclusion.  If anybody has the data to justify changes in this area, please reopen.

Note You need to log in before you can comment on or make changes to this bug.